Bug 221454 - gij GC OOM
gij GC OOM
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Haley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-04 13:12 EST by Andrew Overholt
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 05:10:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2007-01-04 13:12:30 EST
Description of problem:
Often times, when running Eclipse in FC6, I get OOMs from gij.  I don't know how
we can track this down, but it seems to be pretty reproducible.  I've had this
happen on both x86 and x86_64.

Version-Release number of selected component (if applicable):
gcc-4.1.1-30

How reproducible:
Seemingly random.

Steps to Reproduce:
1. Start Eclipse (eclipse) in FC6 from the command line
2. Work (try some Java projects, check out some Eclipse plugins, etc.)
3. Hope for an OOM

Actual results:
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
*** Catastrophic failure while handling uncaught exception.
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
*** Catastrophic failure while handling uncaught exception.
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
GC Warning: Out of Memory!  Returning NIL!
*** Catastrophic failure while handling uncaught exception.

Expected results:
No errors, no OOMs.

Additional info:
Comment 1 Tom Tromey 2007-02-08 20:30:47 EST
I'm seeing out of memory errors thrown by libgcj when
running eclipse (eg, updating Classpath) using the gcj-eclipse RPMs.
I don't seem to have debuginfo so the stack traces for libgcj
are missing.
Comment 3 Tom Tromey 2007-02-16 19:40:53 EST
In my case I already have a classpath checkout, so I choose
Team->Update or whatever that is called.

You can probably reproduce the OOM by following the
classpath-in-eclipse instructions

http://developer.classpath.org/mediation/ClasspathHackingWithEclipse
Comment 4 Andrew Haley 2007-02-19 08:14:34 EST
I've tried to use those instructions, but I couldn't do anything.

The build runs for a while and then halts with an error.  Unfortunately, it
clears the Console window so I can't see what the error was.

I'd love to get to the bottom of this one, but as far as I can see it's
unreproducible.
Comment 5 Andrew Haley 2007-02-19 08:53:29 EST
OK, I fixed that one, but I still can't get OOM.

When you find a way do do this that is reproducible, I'll have another look.

Note You need to log in before you can comment on or make changes to this bug.